summaryrefslogtreecommitdiffstats
path: root/source/ap/zsh/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/zsh/doinst.sh')
-rw-r--r--source/ap/zsh/doinst.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/source/ap/zsh/doinst.sh b/source/ap/zsh/doinst.sh
new file mode 100644
index 000000000..5a862deb6
--- /dev/null
+++ b/source/ap/zsh/doinst.sh
@@ -0,0 +1,6 @@
+if ! grep zsh etc/shells 1> /dev/null 2> /dev/null; then
+ echo "/bin/zsh" >> etc/shells
+fi
+if [ ! -e etc/zprofile ]; then
+ ( cd etc ; ln -sf profile zprofile )
+fi